Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.template.mapper
Class DirectTemplateMapper

    java.lang.Object
      org.apache.turbine.services.template.mapper.BaseMapper
          org.apache.turbine.services.template.mapper.BaseTemplateMapper
              org.apache.turbine.services.template.mapper.DirectTemplateMapper

All Implemented Interfaces:
  Mapper

    public class DirectTemplateMapper

extends BaseTemplateMapper
implements Mapper

The most primitive templating mapper. It is used for the navigation template objects. It never caches and simply returns what is given to it but keeps the template extension.

Version:
  $Id: DirectTemplateMapper.java 1078552 2011-03-06 19:58:46Z tv $
Author:
  Henning P. Schmiedehausen

Field Summary

Fields inherited from class org.apache.turbine.services.template.mapper.BaseTemplateMapper
`prefix`

Fields inherited from class org.apache.turbine.services.template.mapper.BaseMapper
`defaultProperty, separator`

Constructor Summary
`DirectTemplateMapper()` Default C'tor.

Method Summary
`String` | `doMapping(String template)` Replace all "," with "

Methods inherited from class org.apache.turbine.services.template.mapper.BaseTemplateMapper
`getDefaultName, getPrefix, setPrefix`

Methods inherited from class org.apache.turbine.services.template.mapper.BaseMapper
`getCacheSize, getDefaultProperty, getMappedName, getSeparator, init, isUseCache, setCacheSize, setDefaultProperty, setSeparator, setUseCache`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.turbine.services.template.mapper.Mapper
`getCacheSize, getDefaultName, getDefaultProperty, getMappedName, getSeparator, init, isUseCache, setCacheSize, setDefaultProperty, setSeparator, setUseCache`

Constructor Detail

### DirectTemplateMapper

    public DirectTemplateMapper()

  Default C'tor. If you use this C'tor, you must use the bean setter to set the various properties needed for this mapper before first usage.

Method Detail

### doMapping

    public String doMapping(String template)

  Replace all "," with ".", but keep the extension. about,directions,Driving.vm --> about/directions/Driving.vm

  Specified by:
    `doMapping` in class `BaseMapper`
  Parameters:
    `template` - The template name.
  Returns:
    A class name for the given template.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.